<html lang="en">
<head>
<title>Enhanced Implementation of Emacs Interpreted Objects</title>
<meta http-equiv="Content-Type" content="text/html">
<meta name="description" content="Enhanced Implementation of Emacs Interpreted Objects">
<meta name="generator" content="makeinfo 4.8">
<link title="Top" rel="start" href="index.html#Top">
<link rel="up" href="../dir/Top.html#g_t_0028dir_0029Top" title="(dir)Top">
<link href="http://www.gnu.org/software/texinfo/" rel="generator-home" title="Texinfo Homepage">
<meta http-equiv="Content-Style-Type" content="text/css">
<style type="text/css"><!--
  pre.display { font-family:inherit }
  pre.format  { font-family:inherit }
  pre.smalldisplay { font-family:inherit; font-size:smaller }
  pre.smallformat  { font-family:inherit; font-size:smaller }
  pre.smallexample { font-size:smaller }
  pre.smalllisp    { font-size:smaller }
  span.sc    { font-variant:small-caps }
  span.roman { font-family:serif; font-weight:normal; } 
  span.sansserif { font-family:sans-serif; font-weight:normal; } 
--></style>
</head>
<body>
<h1 class="settitle">Enhanced Implementation of Emacs Interpreted Objects</h1>
<div class="node">
<p>
<a name="Top"></a>
Up:&nbsp;<a rel="up" accesskey="u" href="../dir/Top.html#g_t_0028dir_0029Top">(dir)Top</a>
<hr>
</div>

<!-- node-name,  next,  previous,  up -->
<p>EIEIO is a framework for writing object oriented applications in emacs
lisp, and is a result of my taking various object oriented classes at
work and my attempt to understand some of it better by implementing it. 
The real reason I started eieio is because someone in one of my classes
said "I bet emacs can't do that!".  Well then, I just had to prove them
wrong!

<ul class="menu">
<li><a accesskey="1" href="Introduction.html#Introduction">Introduction</a>:           Why use eieio?  Basic overview, samples list. 
<li><a accesskey="2" href="CLOS-compatibility.html#CLOS-compatibility">CLOS compatibility</a>:     What are the differences? 
<li><a accesskey="3" href="Building-Classes.html#Building-Classes">Building Classes</a>:       How to write new class structures. 
<li><a accesskey="4" href="Default-Superclass.html#Default-Superclass">Default Superclass</a>:     The root superclasses. 
<li><a accesskey="5" href="Making-New-Objects.html#Making-New-Objects">Making New Objects</a>:     How to construct new objects. 
<li><a accesskey="6" href="Accessing-Slots.html#Accessing-Slots">Accessing Slots</a>:        How to access a slot. 
<li><a accesskey="7" href="Writing-Methods.html#Writing-Methods">Writing Methods</a>:        How to write a CLOS style method. 
<li><a accesskey="8" href="Predicates.html#Predicates">Predicates</a>:             Class-p, Object-p, etc-p. 
<li><a accesskey="9" href="Association-Lists.html#Association-Lists">Association Lists</a>:      List of objects as association lists. 
<li><a href="Introspection.html#Introspection">Introspection</a>:          Looking inside a class. 
<li><a href="Signals.html#Signals">Signals</a>:                When you make errors
<li><a href="Base-Classes.html#Base-Classes">Base Classes</a>:           Additional classes you can inherit from. 
<li><a href="Browsing.html#Browsing">Browsing</a>:               Browsing your class lists. 
<li><a href="Class-Values.html#Class-Values">Class Values</a>:           Displaying information about a class or object. 
<li><a href="Customizing.html#Customizing">Customizing</a>:            Customizing objects. 
<li><a href="Documentation.html#Documentation">Documentation</a>:          Automatically creating texinfo documentation
<li><a href="Naming-Conventions.html#Naming-Conventions">Naming Conventions</a>:     Name your objects in an Emacs friendly way. 
<li><a href="Demo-Programs.html#Demo-Programs">Demo Programs</a>:          Some examples using eieio. 
<li><a href="Function-Index.html#Function-Index">Function Index</a>
</ul>

   </body></html>

